import request from "@/utils/request";

// 学科 jcxx_subject 列表接口
export const subject_list = () =>
  request({
    url: "/jcxx/subject/index",
  });
// 年级 jcxx_grade 列表接口
export const grade_list = () =>
  request({
    url: "/jcxx/grade/index",
  });
// 活动列表
export const hdgl_list = (data = {}) => {
  return request({
    url: "/ysgc/ztyshd/index",
    data,
  });
};
// 添加活动
export const hdgl_add = (data = {}) => {
  return request({
    url: "/ysgc/ztyshd/add",
    data,
  });
};
// 编辑活动
export const hd_edit = (data = {}) => {
  return request({
    url: "/ysgc/ztyshd/edit",
    data,
  });
};
// 删除
export const hd_del = (data = {}) => {
  return request({
    url: "/ysgc/ztyshd/delete",
    data,
  });
};